package com.ruoyi.predict.domain;

import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * Formula对象 formula
 *
 * @author hlf
 * @date 2022-01-10
 */
public class Formula extends BaseEntity {
    private static final long serialVersionUID = 1L;

    private Long formulaNo;

    private String formulaName;

    private String formulaDesc;

    private Long period;

    private Long paraCount;

    private Long ifvalid;

    private String periodName;

    private String ifvalidName;

    public void setFormulaNo(Long formulaNo) {
        this.formulaNo = formulaNo;
    }

    public Long getFormulaNo() {
        return formulaNo;
    }

    public void setFormulaName(String formulaName) {
        this.formulaName = formulaName;
    }

    public String getFormulaName() {
        return formulaName;
    }

    public void setFormulaDesc(String formulaDesc) {
        this.formulaDesc = formulaDesc;
    }

    public String getFormulaDesc() {
        return formulaDesc;
    }

    public void setPeriod(Long period) {
        this.period = period;
    }

    public Long getPeriod() {
        return period;
    }

    public void setParaCount(Long paraCount) {
        this.paraCount = paraCount;
    }

    public Long getParaCount() {
        return paraCount;
    }

    public void setIfvalid(Long ifvalid) {
        this.ifvalid = ifvalid;
    }

    public Long getIfvalid() {
        return ifvalid;
    }

    public String getPeriodName() {
        return periodName;
    }

    public void setPeriodName(String periodName) {
        this.periodName = periodName;
    }

    public String getIfvalidName() {
        return ifvalidName;
    }

    public void setIfvalidName(String ifvalidName) {
        this.ifvalidName = ifvalidName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("formulaNo", getFormulaNo())
                .append("formulaName", getFormulaName())
                .append("formulaDesc", getFormulaDesc())
                .append("period", getPeriod())
                .append("paraCount", getParaCount())
                .append("ifvalid", getIfvalid())
                .toString();
    }
}
